#ifndef _BSP_HUART_H
#define _BSP_HUART_H


#include "driver_gpio.h"

#define HSUART_BQB_BAUD             9600
#define HSUART_BQB_RX_PORT_SEL      GPIOA_REG
#define HSUART_BQB_RX_PIN_SEL       GPIO_PIN_0
#define HSUART_BQB_TX_PORT_SEL      GPIOA_REG
#define HSUART_BQB_TX_PIN_SEL       GPIO_PIN_1

#define HSUART_FCC_BAUD             1500000
#define HSUART_FCC_PORT_SEL         GPIOB_REG
#define HSUART_FCC_PIN_SEL          GPIO_PIN_3


void bsp_huart_init(void);

void huart_exit(void);
void huart_set_baudrate(uint baudrate);
void huart_putchar(const char ch);
void huart_tx(const void *buf, uint len);
uint huart_get_rxcnt(void);
char huart_getchar(void);

#endif
